package opc

import "context"

type Repository interface {
	Create(ctx context.Context, opc *Opc) error
	Update(ctx context.Context, opc *Opc) error
	Delete(ctx context.Context, id []byte, deletedBy []byte) error
	GetByID(ctx context.Context, id []byte) (*Opc, error)
	List(ctx context.Context, filter, sort string, limit, offset int) ([]Opc, int64, error)
}
